// solution to the SortArrays problem

import java.util.Scanner;
import java.util.ArrayList;
import java.util.Collections;
import java.io.*;

public class SortArray {

	private ArrayList<Integer> data;
	
	/**
	 * Creates an ArrayList of integers from a string
	 */
	ArrayList<Integer> scanIntegerLine( String line  )
	{
		ArrayList<Integer> list = new ArrayList<Integer>();
		
		Scanner input = new Scanner(line);
		
		while( input.hasNext() )
		{
			list.add(input.nextInt());			
		}
		return list;
	}
	
	
	/**
	 * Opens the file, reads each line of input, converts 
	 * it into an ArrayList of Integer, sorts the ArrayList and 
	 * displays the result.
	 */
	void readAllArrays( )
	{
		try
		{
			Scanner input = new Scanner(new File("sortarrays.in"));

			while( input.hasNext() )
			{
				data = scanIntegerLine( input.nextLine() );
				Collections.sort( data );
				showIntArray( data );				
			}

		}
		catch( FileNotFoundException e )
		{
			
		}
		
	}
	
	void showIntArray( ArrayList<Integer> list )
	{
		for( Integer i : list )
		{
			System.out.print( i + " ");
		}
		System.out.println();		
	}
	
	
	void start()
	{
		readAllArrays( );
	}

	public static void main(String[] args) {
		
		SortArray A = new SortArray();
		A.start();
	}

}
